Message Queue, v4.4 API Specification

## com.sun.messaging
Class InvalidPropertyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.jms.JMSException
                  com.sun.messaging.InvalidPropertyException

All Implemented Interfaces:
  java.io.Serializable

    public class InvalidPropertyException

extends JMSException

An `InvalidPropertyException` is thrown when a setProperty is called with an invalid property name parameter.

See Also:
  `javax.jms.ConnectionFactory`, `com.sun.messaging.AdministeredObject.setProperty(propname, propval)`, Serialized Form

Constructor Summary
`InvalidPropertyException(java.lang.String property)` Constructs an InvalidPropertyException.

Method Summary

Methods inherited from class javax.jms.JMSException
`getErrorCode, getLinkedException, setLinkedException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidPropertyException

    public InvalidPropertyException(java.lang.String property)

  Constructs an InvalidPropertyException.

  Parameters:
    `property` - The invalid property name.

Message Queue, v4.4 API Specification

Copyright 2009 Sun Microsystems, Inc.
4150 Network Circle, Santa Clara, CA 95054, U.S.A. All Rights Reserved.